
Redmine - Defect #16798

Custom field - list type - checkboxes - unchecking all - does not save

2014-05-03 13:27 - Andy Puettmann

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 2.5.2   

Resolution: Fixed Affected version: 2.5.1

Description

Unchecking all checkboxes on a custom field type 'list' shown as 'checkboxes', does not update the issue itself.

Environment:

Redmine version                2.5.1.devel

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               PostgreSQL

SCM:

Git                            1.7.9.5

Filesystem

Redmine plugins:

redmine_agile                  1.2.0-light

Related issues:

Has duplicate Redmine - Defect #18094: List custom filed with multiple values... Closed

Associated revisions

Revision 13167 - 2014-05-24 18:53 - Jean-Philippe Lang

Fixed: unable to clear value for list custom field with multiple values and checkboxes style (#16798).

Revision 13191 - 2014-06-26 21:34 - Jean-Philippe Lang

Merged r13167 (#16798).

History

#1 - 2014-05-12 05:04 - Anonymous

I am facing exact same issue on my redmine server as well. This issue only appears when 'list' is displayed as 'checkboxes'; if displayed as

'dropdown list' things work just fine.

Environment:

Redmine version                2.5.0.devel

Ruby version                   2.0.0-p451 (2014-02-24) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

SCM:

Git                            1.7.9.5

Filesystem

Redmine plugins:

redmine_banner                 0.0.9

redmine_custom_workflows       0.0.4

redmine_dashboard              2.2

redmine_inline_attach_screenshot 0.4.6

#2 - 2014-05-23 18:10 - Toshi MARUYAMA
- Target version set to 2.5.2

#3 - 2014-05-24 18:54 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r13167, thanks for pointing this out.

#4 - 2014-06-26 21:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#5 - 2014-10-14 17:45 - Jean-Philippe Lang

- Has duplicate Defect #18094: List custom filed with multiple values displayed as check boxes cannot be unchecked  added
